Package htsjdk.samtools.util.htsget

# Class HtsgetResponse.Block

java.lang.Object
htsjdk.samtools.util.htsget.HtsgetResponse.Block

Enclosing class:
  `HtsgetResponse`

public static class HtsgetResponse.Block extends Object

## Constructor Summary

Constructors
Constructor
Description
`Block(URI uri, Map<String,String> headers, HtsgetClass dataClass)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getData()`
Gets data from this block either from its base64 encoded data url or by making an http request
`HtsgetClass`
`getDataClass()`
`Map<String,String>`
`getHeaders()`
`URI`
`getUri()`
`static HtsgetResponse.Block`
`parse(org.kordamp.json.JSONObject blockJson)`
Parse a single data block from a json value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Block

public Block(URI uri, Map<String,String> headers, HtsgetClass dataClass)

## Method Details

### getUri

public URI getUri()

### getHeaders

public Map<String,String> getHeaders()

### getDataClass

public HtsgetClass getDataClass()

### getData

public InputStream getData()
Gets data from this block either from its base64 encoded data url or by making an http request

Returns:
  InputStream of data from this block

### parse

public static HtsgetResponse.Block parse(org.kordamp.json.JSONObject blockJson)
Parse a single data block from a json value

Parameters:
  `blockJson` - json value representing a block
Returns:
  parsed block object